package httphandlers

import (
	"net/http"
	"reflect"
	"testing"

	"github.com/fiskerinc/cloud-services/pkg/testhelper"
)

func TestHandleBaseURL(t *testing.T) {
	expectedPath := "/base/endpoint"
	testHandler := func(w http.ResponseWriter, r *http.Request) {}
	ServiceBaseURL = "/base"

	path, handler := HandleBaseURL("/endpoint", testHandler)

	if path != expectedPath {
		t.Errorf(testhelper.TestErrorTemplate, "Path", expectedPath, path)
	}

	if reflect.ValueOf(handler).Pointer() != reflect.ValueOf(testHandler).Pointer() {
		t.Errorf(testhelper.TestErrorTemplate, "Handler", reflect.ValueOf(testHandler).Pointer(), reflect.ValueOf(handler).Pointer())
	}
}
